Public APIAPI ReferenceCompute

List available compute regions and tiers.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

GET/v1/compute/options

Only users with a verified email can use this.

Authorization

bearerAuth
AuthorizationBearer <token>

Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/compute/options"
{  "regions": [    {      "id": "string",      "label": "string",      "maxTier": "string"    }  ],  "tiers": [    {      "cpuMillicores": 0,      "label": "string",      "memoryMiB": 0,      "name": "string"    }  ]}